package com.fs.store.mapper;

import com.fs.store.domain.FsWarehouses;

import java.util.List;

/**
 * 仓库Mapper接口
 *
 * @author fs
 * @date 2025-03-07
 */
public interface FsWarehousesMapper
{
    /**
     * 查询仓库
     *
     * @param id 仓库ID
     * @return 仓库
     */
    public FsWarehouses selectFsWarehousesById(Long id);

    /**
     * 查询仓库列表
     *
     * @param fsWarehouses 仓库
     * @return 仓库集合
     */
    public List<FsWarehouses> selectFsWarehousesList(FsWarehouses fsWarehouses);

    /**
     * 新增仓库
     *
     * @param fsWarehouses 仓库
     * @return 结果
     */
    public int insertFsWarehouses(FsWarehouses fsWarehouses);

    /**
     * 修改仓库
     *
     * @param fsWarehouses 仓库
     * @return 结果
     */
    public int updateFsWarehouses(FsWarehouses fsWarehouses);

    /**
     * 删除仓库
     *
     * @param id 仓库ID
     * @return 结果
     */
    public int deleteFsWarehousesById(Long id);

    /**
     * 批量删除仓库
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteFsWarehousesByIds(List<Long> ids);
}
